local assets=
{ 
    Asset("ANIM", "anim/scoutbat.zip"),
    Asset("ANIM", "anim/swap_scoutbat.zip"), 

    Asset("ATLAS", "images/inventoryimages/scoutbat.xml"),
    Asset("IMAGE", "images/inventoryimages/scoutbat.tex"),
}

local prefabs = 
{
}

local function fn(colour)

    local function OnEquip(inst, owner) 
        --owner.AnimState:OverrideSymbol("swap_object", "swap_wands", "purplestaff")
        owner.AnimState:OverrideSymbol("swap_object", "swap_scoutbat", "scoutbat")
        owner.AnimState:Show("ARM_carry") 
        owner.AnimState:Hide("ARM_normal") 
    end

    local function OnUnequip(inst, owner) 
        owner.AnimState:Hide("ARM_carry") 
        owner.AnimState:Show("ARM_normal") 
    end

    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    anim:SetBank("scoutbat")
    anim:SetBuild("scoutbat")
    anim:PlayAnimation("idle")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "scoutbat"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/scoutbat.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
	
	    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.SPEAR_DAMAGE)
    return inst
end

return  Prefab("common/inventory/scoutbat", fn, assets, prefabs)